SchemaUpdate (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tool.hbm2ddl
Class SchemaUpdate

    java.lang.Object
      org.hibernate.tool.hbm2ddl.SchemaUpdate

    public class SchemaUpdate

extends Object

A commandline tool to update a database schema. May also be called from inside an application.

Constructor Summary
`SchemaUpdate(Configuration cfg)`
`SchemaUpdate(Configuration configuration, Properties properties)`
`SchemaUpdate(ServiceRegistry serviceRegistry, Configuration cfg)`

Method Summary
`void` | `execute(boolean script, boolean doUpdate)` Execute the schema updates
`void` | `execute(Target target)`
`List` | `getExceptions()` Returns a List of all Exceptions which occured during the export.
`static void` | `main(String[] args)`
`void` | `setDelimiter(String delimiter)`
`void` | `setFormat(boolean format)`
`void` | `setHaltOnError(boolean haltOnError)`
`void` | `setOutputFile(String outputFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaUpdate

    public SchemaUpdate(Configuration cfg)
                 throws HibernateException

Throws:
  `HibernateException`

### SchemaUpdate

    public SchemaUpdate(Configuration configuration,
                        Properties properties)
                 throws HibernateException

Throws:
  `HibernateException`

### SchemaUpdate

    public SchemaUpdate(ServiceRegistry serviceRegistry,
                        Configuration cfg)
                 throws HibernateException

Throws:
  `HibernateException`

Method Detail

### main

    public static void main(String[] args)

### execute

    public void execute(boolean script,
                        boolean doUpdate)

  Execute the schema updates

  Parameters:
    `script` - print all DDL to the console

### execute

    public void execute(Target target)

### getExceptions

    public List getExceptions()

  Returns a List of all Exceptions which occured during the export.

  Returns:
    A List containig the Exceptions occured during the export

### setHaltOnError

    public void setHaltOnError(boolean haltOnError)

### setFormat

    public void setFormat(boolean format)

### setOutputFile

    public void setOutputFile(String outputFile)

### setDelimiter

    public void setDelimiter(String delimiter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.